Bug 206985 - Review Request: perl-Device-SerialPort
Review Request: perl-Device-SerialPort
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-18 12:36 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 13:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-09-18 12:36:41 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/perl-Device-SerialPort.spec
SRPM Name or Url:
http://www.cora.nwra.com/~orion/fedora/perl-Device-SerialPort-1.002-1.fc5.src.rpm
Description: 

This module provides an object-based user interface essentially identical
to the one provided by the Win32::SerialPort module.
Comment 1 Jason Tibbitts 2006-09-19 20:43:07 EDT
The build fails in mock due to failing tests:

+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor 'OPTIMIZE=-O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic'
Could not find a serial port to use for testing.
Please specify one on the 'perl Makefile.PL' command line, like so:
        perl Makefile.PL /dev/ttyS0
Trying to find a serial port for testing...
(use 'perl Makefile.PL TESTPORT=<DEVICE>' to override this search)
        checking '/dev/ttyS1' ... nope
        checking '/dev/cua01' ... nope
        checking '/dev/cua/b' ... nope
        checking '/dev/tty1' ... nope
        checking '/dev/tty.modem' ... nope
error: Bad exit status from /var/tmp/rpm-tmp.71516 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.71516 (%build)
Error building package from perl-Device-SerialPort-1.002-1.fc6.src.rpm, See
build log

Now, it's obvious that you've disabled the %check section but it seems that
Makefile.PL insists on trying to figure out which serial port should be tested
just in case 'make test' is run later.  Dumb.  Tacking "TESTPORT=/dev/null" onto
the Makefile.PL line gets things building.

Comment 2 Jason Tibbitts 2006-09-19 22:50:41 EDT
After the above fix, everything builds fine.  rpmlint says:

W: perl-Device-SerialPort make-check-outside-check-section #make test
   This is bogus, but if you remove the commenting from the %check line it goes
away.  Fix it if you like.

The license should be "GPL or Artistic"; that's the usual way to indicate the
oft-seen "same as perl" terms.

* source files match upstream:
   aeef199bfdd2aece043649a0673146d5  Device-SerialPort-1.002.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
X license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has only bogus complaints
* final provides and requires are sane:
   SerialPort.so()(64bit)
   perl(Device::SerialPort) = 1.002
   perl-Device-SerialPort = 1.002-1.fc6
  =
   /usr/bin/perl
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Device::SerialPort)
   perl(Exporter)
   perl(IO::Handle)
   perl(POSIX)
   perl(XSLoader)
   perl(strict)
   perl(vars)
   perl(warnings)
* %check is necessarily disabled.
* no shared libraries are added to the regular linker search paths.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
Comment 3 Orion Poplawski 2006-09-20 12:08:24 EDT
Updated spec (and srpm):
http://www.cora.nwra.com/~orion/fedora/perl-Device-SerialPort.spec
http://www.cora.nwra.com/~orion/fedora/perl-Device-SerialPort-1.002-1.fc5.src.rpm

* Wed Sep 20 2006 Orion Poplawski 1.002-2
- Add TESTPORT=/dev/null for mock builds
- License back to GPL or Artistic

Comment 4 Jason Tibbitts 2006-09-21 09:44:16 EDT
Hmm, that didn't seem to work.  Ah, the URL immediately above is wrong;
s/1.002-1/1.002-2/ and it's OK.

Everything looks good now.

APPROVED
Comment 5 Orion Poplawski 2006-09-21 13:44:39 EDT
Checked in and built and added to owners.list.

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.